Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Id_Assignment_Strategy Class Reference

Id uniqueness strategy. More...

`#include <Active_Object_Map.h>`

Inheritance diagram for TAO_Id_Assignment_Strategy:

[legend]
Collaboration diagram for TAO_Id_Assignment_Strategy:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_Id_Assignment_Strategy (void)
| Virtual destructor.
virtual int | bind_using_system_id (PortableServer::Servant servant, CORBA::Short priority, TAO_Active_Object_Map::Map_Entry *&entry)=0
| Must be used with SYSTEM_ID policy.
void | set_active_object_map (TAO_Active_Object_Map *active_object_map)
| Set the active map.
## Protected Attributes
TAO_Active_Object_Map * | active_object_map_
| Pointer to the active map.

## Detailed Description

Id uniqueness strategy.

Strategy for implementing points of variation between the USER_ID and the SYSTEM_ID policies.

## Constructor & Destructor Documentation

TAO_Id_Assignment_Strategy::~TAO_Id_Assignment_Strategy | ( | void |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

virtual int TAO_Id_Assignment_Strategy::bind_using_system_id | ( | PortableServer::Servant | servant,
|  | CORBA::Short | priority,
|  | TAO_Active_Object_Map::Map_Entry *& | entry
| ) | `[pure virtual]`

| Must be used with SYSTEM_ID policy. Implemented in TAO_User_Id_Strategy, TAO_System_Id_With_Unique_Id_Strategy, and TAO_System_Id_With_Multiple_Id_Strategy.

void TAO_Id_Assignment_Strategy::set_active_object_map | ( | TAO_Active_Object_Map * | active_object_map | ) |

| Set the active map.

## Member Data Documentation

TAO_Active_Object_Map* TAO_Id_Assignment_Strategy::active_object_map_`[protected]`

| Pointer to the active map.

The documentation for this class was generated from the following files:

- Active_Object_Map.h
- Active_Object_Map.cpp